#
# spec file for package SNMPAlerts
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version}
%define cgi_bin        /srv/www/cgi-bin
%define cgi_mod_perl   /srv/www/cgi-mod-perl
%else
%define cgi_bin        %{_var}/www/cgi-bin
%define cgi_mod_perl   %{_var}/www/cgi-mod-perl
%endif

Name:           SNMPAlerts
Version:        0.5.5
Release:        1.4
Summary:        Download and clear SNMP alerts from the database
Url:            https://fedorahosted.org/spacewalk
Source0:        SNMPAlerts-git-8fb59f659522f803d45c3e275ebe3f171a72d634.tar.gz
BuildArch:      noarch
%if ! 0%{?suse_version}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Group:          Development/Libraries
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
NOCpulse provides application, network, systems and transaction
monitoring, coupled with a comprehensive reporting system including
availability, historical and trending reports in an easy-to-use browser
interface.

This package provides ability to download and clear SNMP alerts from
the database.



%prep
%setup -q -n SNMPAlerts-git-8fb59f659522f803d45c3e275ebe3f171a72d634

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

# CGI bin and mod-perl bin
mkdir -p $RPM_BUILD_ROOT%cgi_mod_perl
install -m 555 fetch_snmp_alerts.cgi $RPM_BUILD_ROOT%cgi_mod_perl

%{_fixperms} $RPM_BUILD_ROOT/*

%files
%defattr(-,root,root,-)
%cgi_mod_perl/*
%dir %cgi_mod_perl

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 15 2010 mantel@suse.de
- Initial release of SNMPAlerts
